document: modulemd
version: 2
data:
    name: perl-DBI
    stream: '1.643'
    summary: A database access API for Perl
    description: >
        DBI is a database access Application Programming Interface (API) for
        the Perl language. The DBI API specification defines a set of
        functions, variables and conventions that provide a consistent
        database interface independent of the actual database being used.
    license:
        module: [ MIT ]
    dependencies:
        - buildrequires:
              platform: [f34]
              perl: [-5.28]
          requires:
              platform: [f34]
              perl: [-5.28]
    references:
        community: https://dbi.perl.org/
    profiles:
        common:
            description: DBI distribution
            rpms:
                - perl-DBI
    api:
        rpms:
            - perl-DBI
    buildopts:
        rpms:
            macros: |
                %_without_perl_DBI_enables_Clone 1
                %_without_perl_DBI_enables_coro 1
                %_without_perl_DBI_enables_DB_File 1
                %_without_perl_DBI_enables_MLDBM 1
                %_without_perl_DBI_enables_optional_test 1
                %_without_perl_DBI_enables_SQL_Statement 1
    components:
        rpms:
            perl-DBI:
                rationale: The API.
                ref: master
